std::atomic< signed char > Struct Reference
Atomics

`#include <atomic>`

Inherits __atomic_base< signed char >.

## Public Types

typedef __atomic_base< signed char > | __base_type
typedef signed char | __integral_type

## Public Member Functions

constexpr | atomic (__integral_type __i) noexcept
| atomic (const atomic &)=delete
atomic & | operator= (const atomic &) volatile=delete
atomic & | operator= (const atomic &)=delete

## Detailed Description

Explicit specialization for signed char.

Definition at line 735 of file atomic.

## Member Typedef Documentation

## __base_type

typedef __atomic_base<signed char> std::atomic< signed char >::__base_type

Definition at line 738 of file atomic.

## __integral_type

typedef signed char std::atomic< signed char >::__integral_type

Definition at line 737 of file atomic.

## Constructor & Destructor Documentation

## atomic()

constexpr std::atomic< signed char >::atomic | ( | __integral_type | __i | ) |

inline constexpr noexcept

Definition at line 746 of file atomic.

The documentation for this struct was generated from the following file:

- atomic